apiVersion: machine.openshift.io/v1beta1
kind: Machine
metadata:
  annotations:
    machine.openshift.io/instance-state: running
  creationTimestamp: "2024-06-13T14:38:27Z"
  finalizers:
  - machine.machine.openshift.io
  generateName: jshuibm-rgc78-worker-1-
  generation: 2
  labels:
    machine.openshift.io/cluster-api-cluster: jshuibm-rgc78
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
    machine.openshift.io/cluster-api-machineset: jshuibm-rgc78-worker-1
    machine.openshift.io/instance-type: bx2-4x16
    machine.openshift.io/region: eu-gb
    machine.openshift.io/zone: eu-gb-1
  name: jshuibm-rgc78-worker-1-cttrc
  namespace: openshift-machine-api
  ownerReferences:
  - apiVersion: machine.openshift.io/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: MachineSet
    name: jshuibm-rgc78-worker-1
    uid: 6ad30726-3621-4521-86d2-e94435924e23
  resourceVersion: "31025"
  uid: 6fbd8ca0-9781-4fc9-8adf-bf24f973d965
spec:
  lifecycleHooks: {}
  metadata: {}
  providerID: ibm://fdc2e14cf8bc4d53a67f972dc2e2c861///jshuibm-rgc78/0787_6f5f4621-69b5-4ceb-ae8f-57722ab18dee
  providerSpec:
    value:
      apiVersion: ibmcloudproviderconfig.openshift.io/v1beta1
      bootVolume:
        encryptionKey: ""
      credentialsSecret:
        name: ibmcloud-credentials
      image: jshuibm-rgc78-rhcos
      kind: IBMCloudMachineProviderSpec
      metadata:
        creationTimestamp: null
      primaryNetworkInterface:
        securityGroups:
        - jshuibm-rgc78-sg-cluster-wide
        - jshuibm-rgc78-sg-openshift-net
        subnet: jshuibm-rgc78-subnet-compute-eu-gb-1
      profile: bx2-4x16
      region: eu-gb
      resourceGroup: jshuibm-rgc78
      userDataSecret:
        name: worker-user-data
      vpc: jshuibm-rgc78-vpc
      zone: eu-gb-1
status:
  addresses:
  - address: jshuibm-rgc78-worker-1-cttrc
    type: InternalDNS
  - address: 10.242.0.4
    type: InternalIP
  conditions:
  - lastTransitionTime: "2024-06-13T14:40:10Z"
    status: "True"
    type: Drainable
  - lastTransitionTime: "2024-06-13T14:42:28Z"
    status: "True"
    type: InstanceExists
  - lastTransitionTime: "2024-06-13T14:40:10Z"
    status: "True"
    type: Terminable
  lastUpdated: "2024-06-13T14:59:18Z"
  nodeRef:
    kind: Node
    name: jshuibm-rgc78-worker-1-cttrc
    uid: c4674fff-2be8-4823-8564-ce4c547a050f
  phase: Running
  providerStatus:
    conditions:
    - lastProbeTime: "2024-06-13T14:41:05Z"
      lastTransitionTime: "2024-06-13T14:41:05Z"
      message: Machine successfully created
      reason: MachineCreationSucceeded
      status: "True"
      type: MachineCreated
    instanceId: 0787_6f5f4621-69b5-4ceb-ae8f-57722ab18dee
    instanceState: running

